# Expression Template # Fallthrough ## Generate fallthrough WAF expression template from a set of API hosts `client.apiGateway.expressionTemplate.fallthrough.create(FallthroughCreateParamsparams, RequestOptionsoptions?): FallthroughCreateResponse` **post** `/zones/{zone_id}/api_gateway/expression-template/fallthrough` Creates an expression template fallthrough rule for API Shield. Used for configuring default behavior when no other expression templates match. ### Parameters - `params: FallthroughCreateParams` - `zone_id: string` Path param: Identifier. - `hosts: Array` Body param: List of hosts to be targeted in the expression ### Returns - `FallthroughCreateResponse` - `expression: string` WAF Expression for fallthrough - `title: string` Title for the expression ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const fallthrough = await client.apiGateway.expressionTemplate.fallthrough.create({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', hosts: ['{zone}.domain1.tld', 'domain2.tld'], }); console.log(fallthrough.expression); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "expression": "(cf.api_gateway.fallthrough_detected)", "title": "Fallthrough Expression for [zone.domain.tld]" }, "success": true } ``` ## Domain Types ### Fallthrough Create Response - `FallthroughCreateResponse` - `expression: string` WAF Expression for fallthrough - `title: string` Title for the expression